import axios from 'axios';
// ----------------------列表-----------------------
const pageBillUrl = '/surfaceWaterSection/surfaceWaterSectionBill/page';

//判断数据是否重复
const saveJudgeInfo = function (data) {
    return axios.post("/surfaceWaterSection/surfaceWaterSectionBill/judgeInfo",data)
}

// 添加
const saveRiverBill = function (data) {
    return axios.post("/surfaceWaterSection/surfaceWaterSectionBill/importBatch",data)
}

// 删除
const removeRiverBill = function (id) {
    return axios.delete(`/surfaceWaterSection/surfaceWaterSectionBill/${id}`,)
}
// 批量删除
const removeBatchRiverBill = function (ids) {
    return axios.delete("/surfaceWaterSection/surfaceWaterSectionBill/batch",{data:ids})
}

// 修改
const updateRiverBill = function (data) {
    return axios.put("/surfaceWaterSection/surfaceWaterSectionBill",data)
}
// 审核
const verifyRiverBill = function (data) {
    return axios.put("/surfaceWaterSection/surfaceWaterSectionBill/verify",data);
}
const getRiverBill = function (id) {
    return axios.get(`/surfaceWaterSection/surfaceWaterSectionBill/${id}`)
}
// -------------------------数据---------------------
const pageRiverUrl = '/surfaceWaterSection/surfaceWaterSection/page';
const listAllRiver = function (data) {
    return axios.post("/surfaceWaterSection/surfaceWaterSection/list",data)
}
// 添加
const saveRiver = function (data) {
    return axios.post("/surfaceWaterSection/surfaceWaterSection",data)
}

// 删除
const removeRiver = function (id) {
    return axios.delete(`/surfaceWaterSection/surfaceWaterSection/${id}`,)
}
// 批量删除
const removeBatchRiver = function (ids) {
    return axios.delete("/surfaceWaterSection/surfaceWaterSection/batch",{data:ids})
}

// 修改
const updateRiver = function (data) {
        return axios.put("/surfaceWaterSection/surfaceWaterSection",data)
}

// -------------------------统计---------------------
const pageRiverStatisticUrl = '/surfaceWaterSection/surfaceWaterSection/statistic';
const statisticSourceUrl = '/surfaceWaterSection/surfaceWaterSection/statistic/source';
const statisticYearUrl = '/surfaceWaterSection/surfaceWaterSection/statistic/year';
const getHistoryyears = function () {
    return axios.get("/surfaceWaterSection/surfaceWaterSection/history-year")
}
const getColumnOptions = function(column){
    return axios.get("/surfaceWaterSection/surfaceWaterSection/options",{params:{column}})
}

export {
    pageBillUrl,
    saveJudgeInfo,
    saveRiverBill,
    removeRiverBill,
    updateRiverBill,
    removeBatchRiverBill,
    verifyRiverBill,
    getRiverBill,
    pageRiverUrl,
    saveRiver,
    removeRiver,
    updateRiver,
    removeBatchRiver,
    pageRiverStatisticUrl,
    getHistoryyears,
    getColumnOptions,
    statisticSourceUrl,
    statisticYearUrl,
    listAllRiver

}
